## nautilus 3.30.4

=== debian/changelog ===
nautilus (3.30.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Make .gtk-bookmarks in $HOME for the testsuite

 -- Iain Lane <laney@debian.org>  Wed, 28 Nov 2018 12:46:20 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Dselinux=true
else
ENABLE_SELINUX := -Dselinux=false
endif

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dextension=true \
		-Dpackagekit=true \
		-Dtests=all \
		$(ENABLE_SELINUX)

override_dh_strip:
	dh_strip --dbgsym-migration='nautilus-dbg (<< 3.20.0-1~)'

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p -m0700 $(CURDIR)/debian/tmp-home/run
	touch $(CURDIR)/debian/tmp-home/.gtk-bookmarks
	env \
		HOME=$(CURDIR)/debian/tmp-home \
		XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
		dbus-run-session -- xvfb-run dh_auto_test
	rm -fr debian/tmp-home
endif

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

## nautilus 3.30.5

=== debian/changelog ===
nautilus (3.30.5-2.lnd.edu8) unstable; urgency=medium

  * Fix interface name conflicts

 -- Ling Yang <lingyang@loongson.cn>  Tue, 02 Aug 2022 18:33:15 +0800

nautilus (3.30.5-2.lnd.edu7) unstable; urgency=medium

  * Add Poweroff dialog when show background menu

 -- Dandan Zhang <zhangdandan@loongson.cn> Thu, 20 Jul 2022 20:09:37 +0800 

nautilus (3.30.5-2.lnd.edu6) unstable; urgency=medium

  * Add dbus interface for resorting icons
  * Add screenshot when show background menu

 -- Ling Yang <lingyang@loongson.cn>  Tue, 05 Jul 2022 11:37:34 +0800

nautilus (3.30.5-2.lnd.edu5) unstable; urgency=medium

  * Fixed translation for trash

 -- Kong Yijin <kongyijin@loongson.cn>  Tue, 24 May 2022 13:47:23 +0800

nautilus (3.30.5-2.lnd.edu4) unstable; urgency=medium

  * Fix bugs:
    + crashes when opening the recycle bin
    + file manager exits abnormally when closing recycle bin

 -- Ling Yang <lingyang@loongson.cn>  Wed, 02 Mar 2022 18:04:11 +0800

nautilus (3.30.5-2.lnd.edu3) unstable; urgency=medium

  * Add 19_fix_carsh_caused_by_wrong_reduplicate_define_in_xml.patch

 -- likexin <likexin@loongson.cn>  Thu, 10 Feb 2022 15:38:44 +0800

nautilus (3.30.5-2.lnd.edu2) unstable; urgency=medium

  * debian/patches:
    + 00-add-nautilus-desktop.patch
    + 01_align_icons_when_resort_icons.patch
    + 02_fix_nautilus-desktop_not_autorun.patch
    + 03_modify_the_value_of_default-zoom-level_and_text-ellipsis-limit.patch
    + 04_be_compatible_with_gnome-control-center.patch
    + 05_make_icons_on_desktop_not_move_when_draging_in_a_small_range.patch
    + 06_modify_check_same_fs_rule.patch
    + 07_open_terminal_while_right_click.patch
    + 08_support_create_new_empty_file.patch
    + 09_create_icons_on_right_position_on_desktop.patch
    + 10_fix_translate.patch
    + 11_modify_the_value_of_default-zoom-level.patch
    + 12_do_not_check_is_trusted.patch
    + 13_align_icons_when_drag_icon_or_mount_udisk.patch
    + 14_fix_loongpress_and_focus_logic_on_touchscreen.patch
    + 15_not_select_on_icon_after_draging.patch
    + 16_use_global_selection_compress.patch
    + 17_not_show_starred_files_in_sidebar.patch
    + 18_fix_new_icons_position_when_create_desktop_files_at_the_same_time.patch
      - Merge historical patches

 -- Ling Yang <lingyang@loongson.cn>  Fri, 07 Jan 2022 10:56:10 +0800

nautilus (3.30.5-2.lnd.edu1) unstable; urgency=medium

  * Initialized from upstream release

 -- Ling Yang <lingyang@loongson.cn>  Thu, 06 Jan 2022 16:30:22 +0800

nautilus (3.30.5-2.lnd.1) unstable; urgency=medium

  * add dbus up show window

 -- wujiahuan <wujiahuan@loongson.cn>  Mon, 22 Mar 2021 19:35:35 +0800

nautilus (3.30.5-2) unstable; urgency=medium

  * debian/control{,.in}, gbp.conf: Update debian branch to debian/buster
  * Update gnome-desktop code. Nautilus contains a copy of this code,
    which originated in gnome-desktop3.
      + Fixes a potential crash during thumbnailing
      + Fixes thumbnailer on 32-bit systems where /lib64 is not available.
      + Also improves handling of usrmerged and non-usrmerged systems.
      + Mounts the fontconfig cache dir, to improve performance if fontconfig
        is used
        - Add a corresponding BD on libfontconfig1-dev, to fetch the needed
          variable from its pcfile.
      + Fixes seccomp filter bypass. CVE-2019-11461
      + Closes: #928054

 -- Iain Lane <laney@debian.org>  Wed, 29 May 2019 12:47:33 +0100

nautilus (3.30.5-1) unstable; urgency=medium

  * New upstream release
  * Don't have nautilus-data recommend nautilus
  * Restore -Wl,-O1 to our LDFLAGS
  * debian/copyright: nautilus is GPL-3+ instead of GPL-2+

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 22 Dec 2018 08:53:04 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,15 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 ENABLE_SELINUX := -Dselinux=true
 else
 ENABLE_SELINUX := -Dselinux=false
 endif
+
+ENC_FILES:=$(wildcard debian/source/icons/*.png)
 
 %:
 	dh $@ --with gir,gnome
@@ -16,11 +18,12 @@
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
+	$(foreach f,$(ENC_FILES),cp $f icons/;)
 	dh_auto_configure -- \
 		-Ddocs=true \
 		-Dextension=true \
 		-Dpackagekit=true \
-		-Dtests=all \
+		-Dtests=none \
 		$(ENABLE_SELINUX)
 
 override_dh_strip:

## nautilus 3.32.0

=== debian/changelog ===
nautilus (1:3.32.0-0ubuntu2) disco; urgency=medium

  * debian/control.in:
    - Breaks/Replaces totem (<< 3.31.91-1) since libtotem-properties-page
      used to be included in that binary and got move to nautilus

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2019 19:07:10 +0200

nautilus (1:3.32.0-0ubuntu1) disco; urgency=medium

  * New upstream version (lp: #1820683)
  * debian/control.in:
    - build-depends on libgstreamer-plugins-base1.0-dev, the audio/video
      properties code has been moved from totem to nautilu
    - updated the glib requirement
  * debian/patches/git_init_segfault.patch:
    - include a patch from Andrea to fix a segfault (lp: #1819757)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Mar 2019 17:11:27 +0100

nautilus (1:3.31.90-1ubuntu2) disco; urgency=medium

  * Depend on tracker-miner-fs (LP: #1815025)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 07 Feb 2019 05:35:50 -0500

nautilus (1:3.31.90-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Bump dbgsym migration version
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - 20_add_timestamp_to_operations.patch:
      + Add *WithTimestamp dbus methods for file operations that
        might trigger a dialog, that should be presented with time.
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - 0001-Respect-gtk-dialogs-use-header-for-all-dialogs.patch
      + Use a normal titlebar if the desktop environment wants it

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 06 Feb 2019 16:18:36 -0500

nautilus (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on tracker-extract for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 16:12:00 -0500

nautilus (1:3.30.5-1ubuntu1) disco; urgency=medium

  * Update to the current stable version
  * debian/mount-archive.desktop, debian/nautilus.install,
    debian/patches/03_translations_list_update.patch:
    - remove the custom 'mount archive' handler which was added years back,
      nowadays gnome-disk-utility provide a similar feature
      (lp: #1808684)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Jan 2019 15:46:31 +0100

nautilus (1:3.30.4-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + Build-Depend on libgnome-autoar-0-dev (>= 0.2.1)
      + Build-Depend on autoconf-archive
      + lower gnome-sushi Recommends to a Suggests
      + nautilus-data should not need to recommends nautilus,
        lower to a suggests so file-roller doesn't bring in nautilus
    - debian/changelog, debian/rules: set epoch number (which was added by error)
    - debian/mount-archive.desktop,
      debian/mount-archive.desktop.in:
      + New nautilus context menu item to allow mounting zip, iso, etc
    - debian/nautilus.install: install mount-archive menu
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Bump dbgsym migration version
    - debian/patches/03_translations_list_update.patch:
      + Translate the mount-archive menu entry
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - 20_add_timestamp_to_operations.patch:
      + Add *WithTimestamp dbus methods for file operations that
        might trigger a dialog, that should be presented with time.
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - 0001-Respect-gtk-dialogs-use-header-for-all-dialogs.patch
      + Use a normal titlebar if the desktop environment wants it
  * Refresh many of our patches to not conflict.
  * Dropped patches:
    - Revert-Revert-nautilus-file-Don-t-show-thumbnails-for-the.patch,
      Revert-Revert-files-view-Remove-new-empty-folder-name-sug.patch:
      Both double-reverts happened on the 3.26 branch - master/3.30 still has
      the patches.
    - 06_never_exec_nonexec_launchers.patch: We don't exec desktop files any
      more - that is moved to the desktop-icons extension (which already has
      this behaviour).


## nautilus 3.32.1

=== debian/changelog ===
nautilus (3.32.1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * Add tracker-extract to the dependencies, nautilus now requires the
    org.freedesktop.Tracker.Miner.Files schema

  [ Sebastien Bacher ]
  * debian/control.in:
    - Breaks/Replaces totem (<< 3.31.91-1) since libtotem-properties-page
      used to be included in that binary and got move to nautilus

  [ Iain Lane ]
  * New upstream release 3.32.1
  * debian/control{,.in}:
    + BD on libfontconfig1-dev. The build system fetches the cache directory
      from its pcfile - this is needed to mount it in the right place inside
      the sandbox.
    + BD on libgstreamer-plugins-base1.0-dev. The audio/video properties
      window moved in house, so we need to be able to build it.
    + Bump glib BD following upstream

 -- Iain Lane <laney@debian.org>  Wed, 29 May 2019 13:18:14 +0100

## nautilus 3.32.3

=== debian/changelog ===
nautilus (1:3.32.3-0ubuntu1) disco; urgency=medium

  * New upstream version (lp: #1839620)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 15:37:02 +0200

nautilus (1:3.32.1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream release (lp: #1828735):
    - don't assert in nautilus_window_slot_get_location (lp: #1821435)
    - Fix CVE-2019-11461 "A compromised thumbnailer may escape 
      the bubblewrap sandbox"
  * debian/patches/git_init_segfault.patch:
    - Removed, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 12 May 2019 17:11:16 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: nautilus
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: appstream-util <!nocheck>,
               dbus <!nocheck>,
               debhelper (>= 11),
               desktop-file-utils <!nocheck>,
               gnome-pkg-tools (>= 0.13),
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.10),
               libatk1.0-dev (>= 1.32.0),
               libgail-3-dev,
               libgexiv2-dev (>= 0.10.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.58.1),
               libglib2.0-doc,
               libgnome-autoar-0-dev (>= 0.2.1),
               libgnome-desktop-3-dev (>= 3.10),
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev (>= 3.22.27),
               libgtk-3-doc,
               libseccomp-dev [linux-any],
               libselinux1-dev (>= 2.0) [linux-any],
               libtracker-sparql-2.0-dev,
               libx11-dev,
               libxext-dev,
               libxml2-dev (>= 2.7.8),
               libxrender-dev,
               libxt-dev,
               meson (>= 0.47.0),
               shared-mime-info (>= 0.50),
               libunity-dev (>= 5.0.0),
               tracker <!nocheck>,
               tracker-extract <!nocheck>,
               x11proto-core-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/nautilus
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/nautilus
Standards-Version: 4.2.1

Package: nautilus
Architecture: any
Depends: bubblewrap [linux-any],
         desktop-file-utils (>= 0.7),
         gsettings-desktop-schemas (>= 3.8.0),
         gvfs (>= 1.3.2),
         libglib2.0-data,
         libnautilus-extension1a (= ${binary:Version}),
         nautilus-data (= ${source:Version}),
         shared-mime-info (>= 0.50),
         tracker,
         tracker-miner-fs,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gvfs-backends,
            librsvg2-common
Suggests: eog,
          evince | pdf-viewer,
          gnome-sushi,
          nautilus-extension-brasero,
          nautilus-sendto,
          totem | mp3-decoder,
          xdg-user-dirs
Replaces: totem (<< 3.31.91-1),
Breaks: totem (<< 3.31.91-1),
Description: file manager and graphical shell for GNOME
 Nautilus is the official file manager for the GNOME desktop. It allows
 one to browse directories, preview files and launch applications
 associated with them. It is also responsible for handling the icons on
 the GNOME desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: gir1.2-nautilus-3.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - gir bindings
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnautilus-extension-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-nautilus-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.49.1),
         libgtk-3-dev (>= 3.22.27),
         libnautilus-extension1a (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - development version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nautilus extensions.

Package: libnautilus-extension1a
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - runtime version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains a few runtime libraries needed by nautilus' extensions.

Package: nautilus-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for nautilus
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains pictures, localization files and other data
 needed by nautilus.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 ENABLE_SELINUX := -Dselinux=false
 endif
 
-ENC_FILES:=$(wildcard debian/source/icons/*.png)
-
 %:
 	dh $@ --with gir,gnome
 
@@ -18,16 +16,16 @@
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
-	$(foreach f,$(ENC_FILES),cp $f icons/;)
 	dh_auto_configure -- \
 		-Ddocs=true \
 		-Dextension=true \
 		-Dpackagekit=true \
-		-Dtests=none \
+		-Dtests=all \
+		-Dunity-launcher=true \
 		$(ENABLE_SELINUX)
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='nautilus-dbg (<< 3.20.0-1~)'
+	dh_strip --dbgsym-migration='nautilus-dbg (<< 1:3.20.0-1~)'
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## nautilus 3.34.1

=== debian/changelog ===
nautilus (1:3.34.1-1ubuntu1) eoan; urgency=medium

  * Update to the new stable version by merging with Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Oct 2019 16:03:07 +0200

nautilus (3.34.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Oct 2019 16:00:07 +0200

nautilus (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 16:02:13 +0200

nautilus (3.33.90-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 15:40:52 +0200

nautilus (1:3.32.3-1ubuntu1) eoan; urgency=medium

  * The new version (lp: #1839620), includes those bug fixes:
    - Fix starring in subdirectories of indexed directories (lp: #1825720)
    - Allow whitespace at the beginning and end of path in location entry
      (lp: #505199, #1440253)
    - Fix NAUTILUS_SCRIPT_SELECTED_FILE_PATHS not being set for scripts
      (lp: #/833520)
  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Bump dbgsym migration version
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - 20_add_timestamp_to_operations.patch:
      + Add *WithTimestamp dbus methods for file operations that
        might trigger a dialog, that should be presented with time.
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - 0001-Respect-gtk-dialogs-use-header-for-all-dialogs.patch
      + Use a normal titlebar if the desktop environment wants it
  * Refreshed the patches

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 15:29:24 +0200

nautilus (3.32.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 15:11:53 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.10),
                libatk1.0-dev (>= 1.32.0),
+               libfontconfig1-dev,
                libgail-3-dev,
                libgexiv2-dev (>= 0.10.0),
                libgirepository1.0-dev (>= 0.10.7-1~),
@@ -62,6 +63,7 @@
          shared-mime-info (>= 0.50),
          tracker,
          tracker-miner-fs,
+         tracker-extract,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gvfs-backends,

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	env \
 		HOME=$(CURDIR)/debian/tmp-home \
 		XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
-		dbus-run-session -- xvfb-run dh_auto_test
+		dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
 	rm -fr debian/tmp-home
 endif

## nautilus 3.36.0

=== debian/changelog ===
nautilus (1:3.36.0-1ubuntu1) focal; urgency=medium

  * New upstream version
  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Bump dbgsym migration version
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - 20_add_timestamp_to_operations.patch:
      + Add *WithTimestamp dbus methods for file operations that
        might trigger a dialog, that should be presented with time.
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - 0001-Respect-gtk-dialogs-use-header-for-all-dialogs.patch
      + Use a normal titlebar if the desktop environment wants it

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 11:41:07 +0100

nautilus (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 11:32:50 +0100

nautilus (3.35.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Feb 2020 16:16:32 +0100

nautilus (3.35.91.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/git_test_issue.patch:
    - removed, the change is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 10:00:36 +0100

nautilus (3.35.90-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Drop libseccomp-dev build-dependency, this is not
    needed anymore
  * New upstream release
    - debian/control.in: Add libpango1.0-dev (>= 1.44) to the
      build-dependencies, this version is now needed.

  [ Sebastien Bacher ]
  * New upstream release
  * debian/patches/git_test_issue.patch:
    - backport a git patch for a failing test problem

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 06 Feb 2020 12:38:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                desktop-file-utils <!nocheck>,
                gnome-pkg-tools (>= 0.13),
                gobject-introspection (>= 0.9.12-4~),
@@ -27,7 +27,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.22.27),
                libgtk-3-doc,
-               libseccomp-dev [linux-any],
+               libpango1.0-dev (>= 1.44),
                libselinux1-dev (>= 2.0) [linux-any],
                libtracker-sparql-2.0-dev,
                libx11-dev,

## nautilus 3.36.1.1

=== debian/changelog ===
nautilus (1:3.36.1.1-1ubuntu2) focal; urgency=medium

  * debian/patches/gitlab_tracker_fixes.patch:
    - backport upstream candidate fixes to resolve files not being
      listed anymore in the GNOME activity screen (lp: #1871296)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Apr 2020 16:08:10 +0200

nautilus (1:3.36.1.1-1ubuntu1) focal; urgency=medium

  * New upstream version
  * debian/patches/git_remote_content.patch:
    - get the correct mimetype for files on remote locations (lp: #1869881)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Apr 2020 12:35:43 +0200

nautilus (3.36.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/git_remote_content.patch:
    - get the correct mimetype for files on remote locations (lp: #1869881)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Apr 2020 12:30:29 +0200

nautilus (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 17:01:29 +0100

nautilus (3.36.0-2) unstable; urgency=medium

  * debian/control.in: Lower pango BD to 1.42, there is now a version check in
    the code for the functionalities that require 1.44 (Closes: #954553)
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 23 Mar 2020 09:19:52 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.22.27),
                libgtk-3-doc,
-               libpango1.0-dev (>= 1.44),
+               libpango1.0-dev (>= 1.42),
                libselinux1-dev (>= 2.0) [linux-any],
                libtracker-sparql-2.0-dev,
                libx11-dev,
@@ -45,11 +45,11 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/nautilus
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/nautilus
-Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/master
+Standards-Version: 4.5.0
 
 Package: nautilus
 Architecture: any

## nautilus 3.36.3

=== debian/changelog ===
nautilus (3.36.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Jun 2020 15:29:50 +0200

nautilus (3.36.2-2) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Drop backported patch applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 26 Apr 2020 17:46:49 -0400

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                desktop-file-utils <!nocheck>,
-               gnome-pkg-tools (>= 0.13),
-               gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.10),
                libatk1.0-dev (>= 1.32.0),
                libfontconfig1-dev,
@@ -37,7 +36,6 @@
                libxt-dev,
                meson (>= 0.47.0),
                shared-mime-info (>= 0.50),
-               libunity-dev (>= 5.0.0),
                tracker <!nocheck>,
                tracker-extract <!nocheck>,
                x11proto-core-dev,
@@ -45,10 +43,8 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
 Standards-Version: 4.5.0
 
 Package: nautilus
@@ -66,11 +62,11 @@
          tracker-extract,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gvfs-backends,
+Recommends: gnome-sushi,
+            gvfs-backends,
             librsvg2-common
 Suggests: eog,
           evince | pdf-viewer,
-          gnome-sushi,
           nautilus-extension-brasero,
           nautilus-sendto,
           totem | mp3-decoder,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Dselinux=true
else
ENABLE_SELINUX := -Dselinux=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dextension=true \
		-Dpackagekit=true \
		-Dtests=all \
		$(ENABLE_SELINUX)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p -m0700 $(CURDIR)/debian/tmp-home/run
	touch $(CURDIR)/debian/tmp-home/.gtk-bookmarks
	env \
		HOME=$(CURDIR)/debian/tmp-home \
		dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
	rm -fr debian/tmp-home
endif

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## nautilus 3.36.3-0ubuntu1.20.04.1+10.0trisquel3

=== debian/changelog ===
nautilus (1:3.36.3-0ubuntu1.20.04.1+10.0trisquel3) nabia; urgency=medium

  * Revert from using ubuntu-help to default gnome-help

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 01 Nov 2021 20:35:57 +0000

nautilus (1:3.36.3-0ubuntu1.20.04.1) focal; urgency=medium

  * d/p/lp1843588-Revert-clipboard-Use-text-based-clipboard-only.patch:
    - restore copying filenames functionality (LP: #1843588)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Tue, 19 Oct 2021 17:02:02 +0200

nautilus (1:3.36.3-0ubuntu1) focal; urgency=medium

  * New stable update (lp: #1881756)
  * debian/patches/gitlab_tracker_fixes.patch:
    - removed, fixed slightly differently in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Jun 2020 17:03:10 +0200

nautilus (1:3.36.2-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1875595)
  * debian/patches/git_remote_content.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@debian.org>  Tue, 28 Apr 2020 11:23:08 +0200

## nautilus 3.36.3-0ubuntu1.20.04.2+10.0trisquel3

=== meson_options.txt ===
##############
# Extensions #
##############
option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Build documentation for extension library',
)
option(
  'extensions',
  type: 'boolean',
  value: true,
  description: 'Build stock extensions',
)
option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject introspection data for extension library',
)
##################
# End extensions #
##################

############
# Features #
############
option(
  'packagekit',
  type: 'boolean',
  value: true,
  description: 'Enable finding file type handlers using PackageKit',
)
option(
  'selinux',
  type: 'boolean',
  value: false,
  description: 'Enable SELinux context support in file properties dialog',
)
option ('unity-launcher',
        type: 'boolean',
        value: false,
        description: 'build with unity launcher support')
################
# End features #
################

###########
# Testing #
###########
option(
  'profiling',
  type: 'boolean',
  value: false,
  description: 'Enable performance profiling',
)
option(
  'tests',
  type: 'combo',
  choices: [
    'none',
    'headless',
    'all'
  ],
  value: 'headless',
  description: 'Build selected tests',
)
###############
# End testing #
###############

option(
  'profile',
  type: 'string',
  value: '',
  description: 'Build with specified application ID',
)

=== debian/changelog ===
nautilus (1:3.36.3-0ubuntu1.20.04.2+10.0trisquel3) nabia-security; urgency=medium

  * Revert from using ubuntu-help to default gnome-help

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Jan 2023 14:39:58 +0000

nautilus (1:3.36.3-0ubuntu1.20.04.2) focal-security; urgency=medium

  * SECURITY UPDATE: crash via invalid zip file
    - debian/patches/CVE-2022-37290.patch: fix crash when copying an
      invalid file in src/nautilus-dbus-manager.c,
      src/nautilus-file-operations.c.
    - CVE-2022-37290

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 03 Jan 2023 12:30:35 -0500

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
-               debhelper-compat (= 13),
-               dh-sequence-gir,
-               dh-sequence-gnome,
+               debhelper-compat (= 12),
                desktop-file-utils <!nocheck>,
+               gnome-pkg-tools (>= 0.13),
+               gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.10),
                libatk1.0-dev (>= 1.32.0),
                libfontconfig1-dev,
@@ -36,6 +37,7 @@
                libxt-dev,
                meson (>= 0.47.0),
                shared-mime-info (>= 0.50),
+               libunity-dev (>= 5.0.0),
                tracker <!nocheck>,
                tracker-extract <!nocheck>,
                x11proto-core-dev,
@@ -43,8 +45,10 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/master
 Standards-Version: 4.5.0
 
 Package: nautilus
@@ -62,11 +66,11 @@
          tracker-extract,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-sushi,
-            gvfs-backends,
+Recommends: gvfs-backends,
             librsvg2-common
 Suggests: eog,
           evince | pdf-viewer,
+          gnome-sushi,
           nautilus-extension-brasero,
           nautilus-sendto,
           totem | mp3-decoder,

## nautilus 3.38.1

=== debian/changelog ===
nautilus (1:3.38.1-1ubuntu1) groovy; urgency=medium

  * New upstream version
    - don't block to restore from trash (lp: #1839380)
  * debian/source_nautilus.py:
    - updated the apport script to use the multiarch directory, install
      it in the nautilus binary that is arch any (lp: #1723822)
  * Resynchronizr on Debian:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/nautilus.maintscript: set epoch number
      (which was added by error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 0001-Respect-gtk-dialogs-use-header-for-all-dialogs.patch
      + Use a normal titlebar if the desktop environment wants it
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - 20_add_timestamp_to_operations.patch:
      + Add *WithTimestamp dbus methods for file operations that
        might trigger a dialog, that should be presented with time.
    - appstream-compulsory.patch:
      + Set nautilus as unremovable in GNOME Software
    - nautilusgtkplacesview-show-error-if-volume-is-not-mo.patch:
      + show error if volume is not mounted, see LP #1764779
    - ubuntu/shell-search-provider-implement-XUbuntuCancel-to-request-.patch:
      + implement XUbuntuCancel to request search cancellation
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 11:37:10 +0200

nautilus (3.38.0-2) unstable; urgency=medium

  * debian/patches/revert_tracker_update.patch:
    - updated to fix a test issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Sep 2020 20:26:07 +0200

nautilus (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement
  * debian/patches/revert_tracker_update.patch:
    - revert the update to tracker3 which isn't in Debian yet

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 17:31:07 +0200

nautilus (3.37.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated glib requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 17:08:10 +0200

nautilus (3.37.2-1) experimental; urgency=medium

  * New upstream release
  * Adapt to $HOME and $XDG_RUNTIME_DIR being provided by debhelper now.
  * Remove unused X11 build-dependencies.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Jun 2020 19:39:50 +0300

nautilus (3.37.1.1-1) experimental; urgency=medium

  * New upstream release

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 May 2020 13:32:15 +0300

nautilus (1:3.36.2-2ubuntu2) groovy; urgency=medium

  * Rely on $HOME and $XDG_RUNTIME_DIR provided by debhelper, to fix FTBFS.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 04 May 2020 19:24:43 +0300

nautilus (1:3.36.2-2ubuntu1) groovy; urgency=medium

  * New upstream version
  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Bump dbgsym migration version
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - 20_add_timestamp_to_operations.patch:
      + Add *WithTimestamp dbus methods for file operations that
        might trigger a dialog, that should be presented with time.
    - ubuntu_infobars_color.patch:
      + set infobar type to "other" rather than "question" to avoid blue
        cluebars
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - 0001-Respect-gtk-dialogs-use-header-for-all-dialogs.patch
      + Use a normal titlebar if the desktop environment wants it

  [ Dmitry Shachnev ]
  * Update debian/nautilus.maintscript for Ubuntu versioning (with epoch).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 28 Apr 2020 11:20:13 +0200

nautilus (3.38.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/revert_tracker_update.patch:
    - revert some extra commits to be compatible with the old service

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 11:32:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                desktop-file-utils <!nocheck>,
-               gnome-pkg-tools (>= 0.13),
-               gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.10),
                libatk1.0-dev (>= 1.32.0),
                libfontconfig1-dev,
                libgail-3-dev,
                libgexiv2-dev (>= 0.10.0),
                libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.58.1),
+               libglib2.0-dev (>= 2.62),
                libglib2.0-doc,
                libgnome-autoar-0-dev (>= 0.2.1),
                libgnome-desktop-3-dev (>= 3.10),
@@ -30,17 +30,12 @@
                libpango1.0-dev (>= 1.42),
                libselinux1-dev (>= 2.0) [linux-any],
                libtracker-sparql-2.0-dev,
-               libx11-dev,
-               libxext-dev,
                libxml2-dev (>= 2.7.8),
-               libxrender-dev,
-               libxt-dev,
-               meson (>= 0.47.0),
+               meson (>= 0.49.0),
                shared-mime-info (>= 0.50),
                libunity-dev (>= 5.0.0),
                tracker <!nocheck>,
                tracker-extract <!nocheck>,
-               x11proto-core-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
@@ -75,8 +70,8 @@
           nautilus-sendto,
           totem | mp3-decoder,
           xdg-user-dirs
-Replaces: totem (<< 3.31.91-1),
-Breaks: totem (<< 3.31.91-1),
+Replaces: totem (<< 3.31.91-1), nautilus-data (<< 1:3.38.1-1ubuntu1)
+Breaks: totem (<< 3.31.91-1), nautilus-data (<< 1:3.38.1-1ubuntu1)
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications

=== debian/rules ===
--- 
+++ 
@@ -18,17 +18,19 @@
 		-Dextension=true \
 		-Dpackagekit=true \
 		-Dtests=all \
+		-Dunity-launcher=true \
 		$(ENABLE_SELINUX)
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	mkdir -p -m0700 $(CURDIR)/debian/tmp-home/run
-	touch $(CURDIR)/debian/tmp-home/.gtk-bookmarks
-	env \
-		HOME=$(CURDIR)/debian/tmp-home \
-		dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
-	rm -fr debian/tmp-home
+	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
+	dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
 endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
+
+override_dh_install:
+	dh_install
+	mkdir -p debian/nautilus/usr/share/apport/package-hooks
+	sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g' debian/source_nautilus.py.in > debian/nautilus/usr/share/apport/package-hooks/source_nautilus.py
